Loading...
Searching...
No Matches
debugalign.cc File Reference
`#include <cstddef>`
`#include <cstdlib>`
`#include <functional>`
`#include <ios>`
`#include <iostream>`
`#include <utility>`
`#include <dune/common/debugalign.hh>`

## Namespaces

namespace | Dune
| Dune namespace

## Functions

static void | Dune::defaultViolatedAlignment (const char *className, std::size_t expectedAlignment, const void *address)
| default alignment violation handler
ViolatedAlignmentHandler & | Dune::violatedAlignmentHandler ()
| access the handler called by violatedAlignment()
void | Dune::violatedAlignment (const char *className, std::size_t expectedAlignment, const void *address)
| called when an alignment violation is detected